> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settings

> Returns the full settings object for the specified application install, including configuration options such as facial processing, proctor types, exam notes, and more.<br/><br/>A valid authentication token must be provided in the `token` header.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/settings
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/settings:
    get:
      tags:
        - App Install
      summary: Get Settings
      description: >-
        Returns the full settings object for the specified application install,
        including configuration options such as facial processing, proctor
        types, exam notes, and more.<br/><br/>A valid authentication token must
        be provided in the `token` header.
      operationId: getV1InstallsInstallsidSettings
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: >-
              Unique SID of the application install. Must match the pattern `AI`
              followed by 32 hex characters.
            example: AI1234567890abcdef1234567890abcdef
            pattern: ^AI[a-f0-9]{32}$
          description: >-
            Unique SID of the application install. Must match the pattern `AI`
            followed by 32 hex characters.
          required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppInstallSettingsResponse'
components:
  schemas:
    AppInstallSettingsResponse:
      type: object
      properties:
        sid:
          type: string
          description: Install SID
          nullable: true
        deploymentSid:
          type: string
          description: Deployment SID
          nullable: true
        applicationSid:
          type: string
          description: Application SID
          nullable: true
        defaultCourseOfferingSid:
          type: string
          description: Default course offering SID
          nullable: true
        name:
          type: string
          description: Install name
          nullable: true
        defaultCurrencyCode:
          type: string
          description: Default currency code
          nullable: true
        defaultTimezone:
          type: string
          description: Default timezone
          nullable: true
        requireManagerProctorApproval:
          type: boolean
          description: Require manager proctor approval
          nullable: true
        requireManagerExamApproval:
          type: boolean
          description: Require manager exam approval
          nullable: true
        smarterIdEnabled:
          type: boolean
          description: SmarterID enabled
          nullable: true
        examNotes:
          type: string
          description: Exam notes
          nullable: true
        enableWrittenExams:
          type: boolean
          description: Enable written exams
          nullable: true
        defaultNewExamType:
          type: string
          description: Default new exam type
          nullable: true
        hidePermittedItemFields:
          $ref: '#/components/schemas/hidePermittedItemFields'
        proctorTypes:
          $ref: '#/components/schemas/proctorTypes'
        enabled:
          type: boolean
          description: Whether install is enabled
          nullable: true
        createdDate:
          type: string
          description: Created date
          nullable: true
        editDate:
          type: string
          description: Last modified date
          nullable: true
        facialProcessing:
          type: string
          description: Facial processing mode
          nullable: true
        pauseForProctorReview:
          type: boolean
          description: Pause for proctor review
          nullable: true
        allowedExtensionIds:
          $ref: '#/components/schemas/allowedExtensionIds'
        mandatoryRoomScanVideo:
          type: boolean
          description: Mandatory room scan video
          nullable: true
        secureSessionStatus:
          type: string
          description: Secure session status
          nullable: true
    hidePermittedItemFields:
      type: array
      description: Hidden permitted item fields
      nullable: true
      items:
        type: string
    proctorTypes:
      type: array
      description: Proctor types
      items:
        $ref: '#/components/schemas/AppInstallProctorTypeResponse'
    allowedExtensionIds:
      type: array
      description: Allowed extension IDs
      nullable: true
      items:
        type: string
    AppInstallProctorTypeResponse:
      type: object
      properties:
        sid:
          type: string
          description: Proctor type SID
          nullable: true
        status:
          type: string
          description: Status
          nullable: true
        automaticallyApprove:
          type: boolean
          description: Automatically approve
          nullable: true
        proctorTypeSubCategorySid:
          type: string
          description: Proctor type sub-category SID
          nullable: true
        sessionConfigurationSid:
          type: string
          description: Session configuration SID
          nullable: true
        reconnectionLockoutPeriod:
          type: number
          description: Reconnection lockout period in seconds
          nullable: true
        reconnectionInSessionLockoutPeriod:
          type: number
          description: Reconnection in-session lockout period in minutes
          nullable: true
        maxReconnectionAttempts:
          type: number
          description: Maximum reconnection attempts
          nullable: true
        modalityOptionPresetSid:
          type: string
          description: Modality option preset SID
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````